net.minecraft.client.renderer.texture

## Class Texture

- java.lang.Object
- - net.minecraft.client.renderer.texture.Texture

-     public class Texture
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Texture(String par1Str, int par2, int par3, int par4, int par5, int par6, int par7, int par8, BufferedImage par9BufferedImage)`
    `Texture(String par1Str, int par2, int par3, int par4, int par5, int par6, int par7, int par8, int par9, BufferedImage par10BufferedImage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindTexture(int par1)`
    `void` | `copyFrom(int par1, int par2, Texture par3Texture, boolean par4)`
    `void` | `createAndUploadTexture()`
    `void` | `fillRect(Rect2i par1Rect2i, int par2)`
    `void` | `func_104062_b(int par1, int par2, Texture par3Texture)`
    `int` | `getGlTextureId()`
    `int` | `getHeight()`
    `ByteBuffer` | `getTextureData()`
    `int` | `getTextureId()`
    `String` | `getTextureName()`
    `Rect2i` | `getTextureRect()`
    `int` | `getWidth()`
    `void` | `transferFromImage(BufferedImage par1BufferedImage)`
    `void` | `uploadTexture()`
    `void` | `writeImage(String par1Str)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Texture

          public Texture(String par1Str,
                 int par2,
                 int par3,
                 int par4,
                 int par5,
                 int par6,
                 int par7,
                 int par8,
                 BufferedImage par9BufferedImage)

    - #### Texture

          public Texture(String par1Str,
                 int par2,
                 int par3,
                 int par4,
                 int par5,
                 int par6,
                 int par7,
                 int par8,
                 int par9,
                 BufferedImage par10BufferedImage)

  - ### Method Detail

    - #### getTextureRect

          public final Rect2i getTextureRect()

    - #### fillRect

          public void fillRect(Rect2i par1Rect2i,
                      int par2)

    - #### writeImage

          public void writeImage(String par1Str)

    - #### copyFrom

          public void copyFrom(int par1,
                      int par2,
                      Texture par3Texture,
                      boolean par4)

    - #### func_104062_b

          public void func_104062_b(int par1,
                           int par2,
                           Texture par3Texture)

    - #### transferFromImage

          public void transferFromImage(BufferedImage par1BufferedImage)

    - #### getTextureId

          public int getTextureId()

    - #### getGlTextureId

          public int getGlTextureId()

    - #### getWidth

          public int getWidth()

    - #### getHeight

          public int getHeight()

    - #### getTextureName

          public String getTextureName()

    - #### bindTexture

          public void bindTexture(int par1)

    - #### uploadTexture

          public void uploadTexture()

    - #### getTextureData

          public ByteBuffer getTextureData()

    - #### createAndUploadTexture

          public void createAndUploadTexture()